pub mod animation;
pub mod audio;
pub mod bounding_box;
pub mod draw;
pub mod free_space_control;
pub mod location;
pub mod particle_system;

// angle of current object
pub fn angle(v1: crate::prelude::cgmath::Vector2<f32>) -> crate::prelude::cgmath::Rad<f32> {
    let dot = v1.x * location::Location::DEFAULT_DIRECTION.x
        + v1.y * location::Location::DEFAULT_DIRECTION.y;

    let v1_len = ((v1.x * v1.x) + (v1.y * v1.y)).sqrt();
    let v2_len = ((location::Location::DEFAULT_DIRECTION.x
        * location::Location::DEFAULT_DIRECTION.x)
        + (location::Location::DEFAULT_DIRECTION.y * location::Location::DEFAULT_DIRECTION.y))
        .sqrt();

    let angle = (dot / (v1_len * v2_len)).acos();

    crate::prelude::cgmath::Rad(if v1.x < 0.0 { -angle } else { angle })
}
